<ng-container>
  <app-loading *ngIf="isLoadingFile"></app-loading>
  <div>
    <article class="top-side__dowload__file" (click)="dowloadFileSample()">
      <section class="left-side">
        <img src="{{'assets/images/icon/SearchResults.svg'}}" alt='searchResult'>
        <span>{{'polManagement.targetCategory.label.atribute.downloadFileTemplate' | translate}}</span>
      </section>
      <img src="{{'assets/images/icon/dowloadIcon.svg'}}" alt='dowloadIcon'>
    </article>
  </div>
</ng-container>
<div nz-row [nzGutter]="[30,30]">
  <div nz-col nzXs="24" nzLg="24">

    <nz-upload nzType="drag" [nzShowUploadList]="true" [nzMultiple]="false" [(nzFileList)]="fileList" [nzBeforeUpload]="beforeUpload" class="content_upload">
      <div class="upload">
        <p class="ant-upload-drag-icon">
          <img src="{{fileList.length > 0 ? 'assets/images/icon/excel-upload.svg' : 'assets/images/icon/exportFileExel.svg' }}" alt='exel_upload'>
        </p>
        <p class="ant-upload-text">
        <div>
          <span class="upload__title-left" *ngIf="!(fileList.length > 0)">{{'polManagement.common.label.labelAlertInfoUploadFile' | translate}}</span>
          <span class="upload__title-right" *ngIf="fileList.length > 0">{{fileList[0].name}} </span>
        </div>
        <p class="ant-upload-hint">
          <span *ngIf="!(fileList.length > 0)">{{'polManagement.common.label.labelMaximumUploadFile' | translate}}</span>
          <span *ngIf="(fileList.length > 0)">{{(fileList[0].size / (1024*1024)).toFixed(2)}} MB</span>
        </p>
      </div>
    </nz-upload>
  </div>
</div>
<section>
  <div class="scrollable-container" *ngIf="dataResponseUploadFile.length > 0">
      <nz-list>
        <nz-alert nzBanner nzType="error" *ngFor="let item of dataResponseUploadFile" nzMessage={{item}}></nz-alert>
      </nz-list>
  </div>
</section>
